diff options
| author | Bruce Momjian <bruce@momjian.us> | 2004-05-13 22:59:14 +0000 |
|---|---|---|
| committer | Bruce Momjian <bruce@momjian.us> | 2004-05-13 22:59:14 +0000 |
| commit | a676b852e8128212d2a357e2b4f32cca16daf0d7 (patch) | |
| tree | 526e2a95cb37de2b5c60370da8b71c0b5f86f7dd /configure | |
| parent | f69ecb4f8cbf0f1d1638f9fb01d8845a5c84a3c0 (diff) | |
| download | postgresql-a676b852e8128212d2a357e2b4f32cca16daf0d7.tar.gz | |
Refactor code to warn about configure link failures on MinGW.
Diffstat (limited to 'configure')
| -rwxr-xr-x | configure | 32 |
1 files changed, 13 insertions, 19 deletions
@@ -17974,25 +17974,6 @@ ac_config_files="$ac_config_files GNUmakefile src/Makefile.global" ac_config_links="$ac_config_links src/backend/port/dynloader.c:src/backend/port/dynloader/${template}.c src/backend/port/pg_sema.c:${SEMA_IMPLEMENTATION} src/backend/port/pg_shmem.c:${SHMEM_IMPLEMENTATION} src/include/dynloader.h:src/backend/port/dynloader/${template}.h src/include/pg_config_os.h:src/include/port/${template}.h src/Makefile.port:src/makefiles/Makefile.${template}" -# Links sometimes fail undetected on Mingw - -# so here we detect it and warn the user -case $host_os in mingw*) - for linktarget in \ - src/backend/port/tas.s \ - src/backend/port/dynloader.c \ - src/backend/port/pg_sema.c \ - src/backend/port/pg_shmem.c \ - src/include/dynloader.h \ - src/include/pg_config_os.h \ - src/Makefile.port - do - # test -e works for symlinks in the MinGW console - test -e $linktarget || { echo "$as_me:$LINENO: WARNING: *** link for $linktarget failed - please fix by hand" >&5 -echo "$as_me: WARNING: *** link for $linktarget failed - please fix by hand" >&2;} - done - ;; -esac - ac_config_headers="$ac_config_headers src/include/pg_config.h" @@ -19201,3 +19182,16 @@ if test "$no_create" != yes; then $ac_cs_success || { (exit 1); exit 1; } fi + +# Links sometimes fail undetected on Mingw - +# so here we detect it and warn the user +case $host_os in mingw*) +for FILE in "$CONFIG_LINKS" + do + # test -e works for symlinks in the MinGW console + test -e `expr "$FILE" : '\(^:*\)'` || { echo "$as_me:$LINENO: WARNING: *** link for $FILE - please fix by hand" >&5 +echo "$as_me: WARNING: *** link for $FILE - please fix by hand" >&2;} + done + ;; +esac + |
